Loading...
Searching...
No Matches
Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc Struct Reference

`#include <dune/istl/paamg/matrixhierarchy.hh>`

## Public Types

typedef Matrix::size_type | size_type
typedef Matrix::row_type | matrix_row

## Public Member Functions

| calc ()
void | operator() (const matrix_row &row)

## Public Attributes

size_type | min
size_type | max
size_type | sum

## Member Typedef Documentation

## matrix_row

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

typedef Matrix::row_type Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::matrix_row

## size_type

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

typedef Matrix::size_type Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::size_type

## Constructor & Destructor Documentation

## calc()

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::calc | ( |  | ) |

inline

## Member Function Documentation

## operator()()

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

void Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::operator() | ( | const matrix_row & | row | ) |

inline

## Member Data Documentation

## max

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

size_type Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::max

## min

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

size_type Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::min

## sum

template<class M, class PI, class A = std::allocator<M>>
template<class Matrix>

size_type Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc::sum

The documentation for this struct was generated from the following file:

- matrixhierarchy.hh